# -*- coding: utf-8 -*-
#!/usr/bin/env python
import os.path
import sys
import json
from collections import namedtuple

try:
    import apiai
except ImportError:
    sys.path.append(
        os.path.join(os.path.dirname(os.path.realpath(__file__)), os.pardir)
	)
    import apiai




def getReplyFromDialogF(phrase,dialogF_token):

    #取得したアクセスキーを設定します。
    CLIENT_ACCESS_TOKEN = dialogF_token
    
    ai = apiai.ApiAI(CLIENT_ACCESS_TOKEN)
    request = ai.text_request()
    request.lang = 'ja'
    request.session_id = "anything unique"
    request.query = phrase
    response = request.getresponse()
    res=json.loads(response.read().decode('utf-8'))

    #jsonデータとして返す
    return res
        

if __name__ == '__main__':
    d_token = "----------------------"
    t=getReplyFromDialogF('あなたは誰ですか？',d_token)
    print(t["result"]["parameters"])#パラメータ(言語解析の結果)
    print(t["result"]["fulfillment"]["speech"])#具体的なリプライ
    print(t["result"]["score"])
    print(t)
